Loading...
Searching...
No Matches
GeisRegion Class Reference
The Simplified GEIS Interface » Gesture Types » Gesture Primitives » Standard Gesture Types » Vendor Extension Gesture Types » Initialization and Cleanup » Configuration and Control | The Advanced GEIS Interface » The Geis API Object » Error Reporting » Configuration » Input Devices » Gesture Subscription » Attributes » Event Control » Input Devices » Gesture Classes » Gesture Regions

Defines a region over which gestures may take place. More...

`#include <geis.h>`

## Public Member Functions

Region Initialization Arguments

  Gesture regions are created to describe a particular display/feedback region. The type of the region can not be changed after creation (just create a new region for that). The types of regions are platform specific and each type may require addition arguments.

  The following region initialization argument names are required by the GEIS v2.0 specification.

GEIS_VARARG GeisRegion | geis_region_new (Geis geis, GeisString name, GeisString init_arg_name,...)
| Creates a new GEIS v2.0 region.
GeisStatus | geis_region_delete (GeisRegion region)
| Destroys a GEIS v2.0 region.
GeisString | geis_region_name (GeisRegion region)
| Gets the name of a GEIS v2.0 region.

## Detailed Description

Defines a region over which gestures may take place.

The documentation for this class was generated from the following file:

- /build/geis-Y0ruej/geis-2.2.17+16.04.20160126/include/geis/geis.h